<!DOCTYPE html>
<html lang="tr">
<head>
    <meta charset="utf-8"/>
    <title>PHP MYSQL JQUERY AJAX Kullanarak Yıldızlar İle Puanlama Uygulaması</title>

    <link type="text/css" rel="stylesheet" href="css/style.css">
    <script type="text/javascript" src="css/jquery.min.js"></script>
</head>
<body>
<?php
require_once 'config.php';
$post_id = '1';
?>
<!-- yıldızlar -->
<div class="tuto-cnt">
    <div class="rate-ex2-cnt">
        <div id="1" class="rate-btn-1 rate-btn"></div>
        <div id="2" class="rate-btn-2 rate-btn"></div>
        <div id="3" class="rate-btn-3 rate-btn"></div>
        <div id="4" class="rate-btn-4 rate-btn"></div>
        <div id="5" class="rate-btn-5 rate-btn"></div>
    </div>
    <br>

    <div class="box-result-cnt">
        <?php
        //veri tabanından ortalama sonuç ve kaç adet oylama yapılmış verisini alıyoruz.
        $sorgu = $baglanti->prepare("select avg(rate) as ortalama, count(*) as adet from yildiz");
        $sorgu->execute();
        $sonuc = $sorgu->fetch();//sorgu çalıştırılıp veriler alınıyor

        $rate_times = $sonuc['adet'];;
        $rate_value = $sonuc['ortalama'];

        //ortalama sonucun yıldızlarını css ile background yüzde olarak verip boyuyoruz.
        $rate_bg = (($rate_value) / 5) * 100;
        ?>
        <hr>
        <h3>İçerik <strong><?php echo $rate_times; ?></strong> kere oylandı.</h3>
        <hr>
        <h3>Ortalama oylama <strong><?php echo $rate_value; ?></strong> .</h3>
        <hr>
        <div class="rate-result-cnt">
            <div class="rate-bg" style="width:<?php echo $rate_bg; ?>%"></div>
            <div class="rate-stars"></div>
        </div>
        <hr>
    </div>
</div>
<script>

    $(function () {
        $('.rate-btn').hover(function () {
            $('.rate-btn').removeClass('rate-btn-hover');
            var therate = $(this).attr('id');
            for (var i = therate; i >= 0; i--) {
                $('.rate-btn-' + i).addClass('rate-btn-hover');
            }
            ;
        });

        $('.rate-btn').click(function () {
            var therate = $(this).attr('id');
            var dataRate = 'act=rate&post_id=<?php echo $post_id; ?>&rate=' + therate; //
            $('.rate-btn').removeClass('rate-btn-active');
            for (var i = therate; i >= 0; i--) {
                $('.rate-btn-' + i).addClass('rate-btn-active');
            }
            ;
            $.ajax({
                type: "POST",
                url: "ajax.php",
                data: dataRate,
                success: function () {
                }
            });

        });
    });
</script>
</body>
</html>